Sign in

Retrieve items

GET https://{organization}.myguper.com/api/order/feed

Retrieves pending entries from the order feed (orders that were created, modified, cancelled or had rewards applied since the last acknowledgement).

Try-it values populated from environment ACME (Demo)


Authentication

Token

Send your user token in the x-guper-authorization header.

Headers

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Responses

[
    {
        "confirmToken": "2A0067C7FECB11EFAAC602B02E860C9532173",
        "subscriber": "cloe-acme-TARQTDBN",
        "module": "order",
        "key": 71918412,
        "confirmedAt": null,
        "createdAt": "2025-03-11T16:50:00-03:00"
    },
    {
        "confirmToken": "409FBC97FED111EFAAC602B02E860C9578560",
        "subscriber": "cloe-acme-TARQTDBN",
        "module": "order",
        "key": 71928432,
        "confirmedAt": null,
        "createdAt": "2025-03-11T17:33:35-03:00"
    },
    {
        "confirmToken": "65as4d6as85d49qd51q69we54q9w58de496sa",
        "subscriber": "cloe-acme-TARQTDBN",
        "module": "order",
        "key": 71896943,
        "confirmedAt": null,
        "createdAt": "2025-03-11T14:41:14-03:00"
    },
    {
        "confirmToken": "8374E01DFEC111EFAAC602B02E860C9555273",
        "subscriber": "cloe-acme-TARQTDBN",
        "module": "order",
        "key": 71906811,
        "confirmedAt": null,
        "createdAt": "2025-03-11T15:40:55-03:00"
    }
]
Copied to clipboard